Skip to main content
POST
/
organizations
/
{organizationId}
/
users
/
{userId}
/
permissions
/
multiple
Assign multiple permissions to user
curl --request POST \
  --url https://api.hixbe.com/account/organizations/{organizationId}/users/{userId}/permissions/multiple \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "permissionIds": [
    "clxxx123",
    "clxxx456"
  ],
  "grant": true
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required
userId
string
required

Body

application/json
permissionIds
string[]
required

Array of permission IDs to assign

Example:
["clxxx123", "clxxx456"]
grant
boolean
default:true
required

Grant permissions (true) or deny/revoke (false)

Response

201

Permissions assigned successfully